## eole-ad-dc 2.7.0-39

=== Makefile ===
################################
# Makefile pour eole-ad
################################

SOURCE=eole-ad-dc
VERSION=2.7
EOLE_VERSION=2.7
EOLE_RELEASE=2.7.0
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-ad-dc (2.7.0-39) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d68f364] Checkquota test restricted to user and group
  * [783120a] Merge branch 'issue/32092-quotacheck' into 2.7.0/master
  * [b318c26] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [42cc054] Joël Cuissinat: Update package since “debian/eole/2.7.0-38”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 09 Apr 2021 15:37:22 +0200

eole-ad-dc (2.7.0-38) eole-2.7.0-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [cdc4d21] Ajout check_certificat_samba + appel dans reconfigure
  * [2ea559a] Ajout test certificats dans Diagnose
  * [9a06d4c] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [8604bf0] gilles.grandgerard: Update package since “debian/eole/2.7.0-37”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Tue, 17 Nov 2020 17:13:31 +0100

eole-ad-dc (2.7.0-37) eole-2.7.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [76b3e0b] Insert xattr variable in share section of config
  * [4e97f2e] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [a00d568] Benjamin Bohard: Update package since “debian/eole/2.7.0-36”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Jun 2020 17:14:53 +0200

eole-ad-dc (2.7.0-36) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [63169c1] suppression des exceptions liées à l'anti-virus temps réel (ref #30181)
  * [336f205] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [4cbb879] Joël Cuissinat: Update package since “debian/eole/2.7.0-35”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 09 Jun 2020 09:26:01 +0200

eole-ad-dc (2.7.0-35) eole-2.7.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [c100bda] sauvegarder /home si nécessaire (ref #30181)
  * [321bea9] sauvegarder les partages additionnels (ref #30181)
  * [7409bd3] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [d5404c3] Emmanuel Garette: Update package since “debian/eole/2.7.0-34”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 29 May 2020 11:33:08 +0200

eole-ad-dc (2.7.0-34) eole-2.7.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0087e66] Allow to disable acl_xattr vfs_object
  * [c589fc1] Merge branch '2.7.0/30090-xattr' into 2.7.0/master
  * [ced60a3] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [19b201a] Benjamin Bohard: Update package since “debian/eole/2.7.0-33”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 20 May 2020 10:03:12 +0200

eole-ad-dc (2.7.0-33) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [94f9d98] [homes] should not be browsable
  * [a3aa69a] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [c950f9c] Joël Cuissinat: Update package since “debian/eole/2.7.0-32”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 14 Feb 2020 17:16:01 +0100

eole-ad-dc (2.7.0-32) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [63ef189] Remove AD "log level" vars added by error in EOLE 2.7.0
  * [7d6f67f] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [7da3448] Joël Cuissinat: Update package since “debian/eole/2.7.0-31”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 07 Feb 2020 14:44:33 +0100

eole-ad-dc (2.7.0-31) eole-2.7.0-proposed-updates; urgency=low

  [ Gilles Grandgerard ]
  * [ebea5bd] Ajouter 'restrict anonymous = 2' dans les smb.conf

  [ Joël Cuissinat ]
  * [58d0d20] Merge branch '2.6.2/29367-anonymous' into 2.7.0/master
  * [87340c2] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [238f220] Joël Cuissinat: Update package since “debian/eole/2.7.0-30”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 31 Jan 2020 11:40:37 +0100

eole-ad-dc (2.7.0-30) eole-2.7.0-proposed-updates; urgency=low

  [ Gilles Grandgerard ]
  * [fbba2e3] protection dans le script create_adhome

  [ Joël Cuissinat ]
  * [8fda216] Nettoyage
  * [72eba41] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [9a345da] Joël Cuissinat: Update package since “debian/eole/2.7.0-29”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 30 Oct 2019 17:06:01 +0100

eole-ad-dc (2.7.0-29) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [564e32f] Indicate the key to copy with ssh-copy-id
  * [ac6889d] Merge branch '2.6.2/26011-sshagent' into 2.7.0/master
  * [e9b95a8] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [50a0474] Joël Cuissinat: Update package since “debian/eole/2.7.0-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 18 Oct 2019 11:36:50 +0200

eole-ad-dc (2.7.0-28) eole-2.7.0-proposed-updates; urgency=low

  [ Gilles Grandgerard ]
  * [068ead0] Création script 'actualiser_cache' + fonction stop/start samba/clean_samba_cache

  [ Joël Cuissinat ]
  * [9538a14] Merge branch '2.7.0/master' into dist/eole/2.7.0/master
  * [3f0592d] Install actualiser_cache script with eole-ad-dc package

  [ EOLE Build Daemon ]
  * [9d7f9c0] Joël Cuissinat: Update package since “debian/eole/2.7.0-27”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Oct 2019 14:18:00 +0200

eole-ad-dc (2.7.0-27) eole-2.7.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [4596a77] Permit updating policy entry in local registry.
  * [e92f587] Merge branch '2.6.2/24828-gpo_update' into 2.7.0/master
  * [f73657f] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [8b6fa04] Matthieu Lamalle: Update package since “debian/eole/2.7.0-26”

  [ Matthieu Lamalle ]

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 07 Oct 2019 16:37:11 +0200

eole-ad-dc (2.7.0-26) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]


=== debian/control ===
Source: eole-ad-dc
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python-all-dev
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ad-dc
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-ad-dc/repository

Package: eole-ad-dc
Architecture: all
Depends: eole-server,
         ${misc:Depends}
Description: configuration du service Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-pkg
Section: metapackages
Architecture: all
Depends: acl,
         bind9,
         cifs-utils,
         krb5-user,
         ldb-tools,
         libnss-winbind,
         python-samba,
         quota,
         rsync,
         samba,
         samba-common,
         samba-dsdb-modules,
         samba-libs,
         samba-vfs-modules,
         smbclient,
         winbind,
         ${misc:Depends}
Description: dependency package for Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-ad-dc-scripts
Architecture: all
Depends: ${misc:Depends}
Conflicts: eole-ad-dc
Description: scripts et librairies pour Samba AD-DC
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-seth
Depends: eole-dhcp,
         eole-ad-dc,
         eole-antivirus,
         ${misc:Depends}
Architecture: all
Description: Module EOLE Seth
 Configuration du module EOLE Seth.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-seth-module
Section: metapackages
Depends: eole-seth,
         ${misc:Depends}
Provides: eole-module
Conflicts: eole-module
Architecture: all
Description: Module EOLE Seth (metapackage)
 Méta-paquet du module EOLE Seth.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-seth-all
Section: metapackages
Depends: eole-ad-dc-pkg,
         eole-dhcp-pkg,
         eole-exim-pkg,
         eole-antivirus-pkg,
         eole-seth-module,
         ${misc:Depends}
Architecture: all
Description: Module EOLE Seth (metapackage)
 Tous les paquets pour un module EOLE Seth.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: gpo-tool
Section: admin
Architecture: all
Depends: python,
         python-gpo-utils,
         ${misc:Depends}
Description: Python command for GPO edition

Package: python-gpo-utils
Section: admin
Architecture: all
Depends: python,
         python-samba,
         ${misc:Depends}
Description: Python commands for GPO edition

## eole-ad-dc 2.7.1-26

=== debian/changelog ===
eole-ad-dc (2.7.1-26) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [22025cb] Revert "JobSynchroSysvol : pas d'exit en fin de script (exit 0)"
  * [384e041] Revert "correction erreurs Apparmor liées à BIND9 / Samba"
  * [f0b1c06] Revert "Ajout gestion backend-store et plaintext-secrets sur les additionnals"
  * [bb415ab] Merge branch 'master'

  [ Gilles Grandgerard ]
  * [5cd576a] JobSynchroSysvol : pas d'exit en fin de script (exit 0)
  * [cfa5022] correction erreurs Apparmor liées à BIND9 / Samba
  * [551ae2b] Ajout gestion backend-store et plaintext-secrets sur les additionnals

  [ EOLE Build Daemon ]
  * [c7ae9e3] Daniel Dehennin: Update package since “debian/eole/2.7.1-25”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 07 Jun 2019 11:56:43 +0200

eole-ad-dc (2.7.1-25) eole-2.7-unstable; urgency=low

  [ Gilles Grandgerard ]
  * [e75f036] JobSynchroSysvol : pas d'exit en fin de script (exit 0)
  * [a51d465] Revert "JobSynchroSysvol : pas d'exit en fin de script (exit 0)"

  [ Fabrice Barconnière ]
  * [352409b] Roaming profiles didn't work when nt acl support = no
  * [4f89054] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [e1952eb] Fabrice Barconnière: Update package since “debian/eole/2.7.1-24”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 06 Jun 2019 16:11:51 +0200

eole-ad-dc (2.7.1-24) eole-2.7-unstable; urgency=low

  [ Gilles Grandgerard ]
  * [35c28f1] Ajout gestion backend-store et plaintext-secrets sur les additionnals

  [ EOLE Build Daemon ]
  * [a9ebb4e] Gilles Grandgerard: Update package since “debian/eole/2.7.1-23”

 -- Gilles Grandgerard <gilles.grandgerard@ac-dijon.fr>  Tue, 04 Jun 2019 16:05:09 +0200

eole-ad-dc (2.7.1-23) eole-2.7-unstable; urgency=low

  [ Gilles Grandgerard ]
  * [77c69bd] correction erreurs Apparmor liées à BIND9 / Samba

  [ EOLE Build Daemon ]
  * [376424f] Gilles Grandgerard: Update package since “debian/eole/2.7.1-22”

 -- Gilles Grandgerard <gilles.grandgerard@ac-dijon.fr>  Mon, 03 Jun 2019 17:02:58 +0200

eole-ad-dc (2.7.1-22) eole-2.7-unstable; urgency=low

  [ Gilles Grandgerard ]
  * [a838681] JobSynchroSysvol : pas d'exit en fin de script (exit 0)

  [ EOLE Build Daemon ]
  * [42ed7cc] Gilles Grandgerard: Update package since “debian/eole/2.7.1-21”

 -- Gilles Grandgerard <gilles.grandgerard@ac-dijon.fr>  Mon, 03 Jun 2019 10:35:03 +0200

eole-ad-dc (2.7.1-21) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [825e197] Match hostname using context rather than set of characters.
  * [6329dd3] Merge branch '2.7.1/28161-hostname_with_unpredictable_characters'
  * [84c00fe] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [b5611e4] Benjamin Bohard: Update package since “debian/eole/2.7.1-20”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 28 May 2019 11:28:28 +0200

eole-ad-dc (2.7.1-20) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [41f6451] ad_force_domain_sid => mode expert

  [ Gilles Grandgerard ]
  * [f2cbf0a] check fichier idmap + pas de log si tout est ok
  * [5d891f5] typo quote dans provisionning
  * [ae8203c] Correction IdMap par défault sur server membre AD. Bascule autorid vers RID
  * [373e8c1] dans la section globals: vfs objects n'est pas la même d'un DC à u n membre.
  * [50e2f45] nettoyage mauvais code vfs ...
  * [7da9327] Par défaut, nous générons les hash de mot de passe
  * [ca0c0fd] Création script 'actualiser_cache' + fonction stop/start samba/clean_samba_cache
  * [f2dfc49] Par défaut, les postes client n'ont pas accès à l'onglet Sécurité (option dans la partie 'membre')
  * [932b8c6] désactivation des partages utilsiateurs dans la section Global
  * [f64880d] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [5f62179] Gilles Grandgerard: Update package since “debian/eole/2.7.1-19”

 -- Gilles Grandgerard <gilles.grandgerard@ac-dijon.fr>  Mon, 27 May 2019 16:50:38 +0200

eole-ad-dc (2.7.1-19) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [04afdd4] Update samba_backup path for eole-ad-dc package too

  [ EOLE Build Daemon ]
  * [598e7a9] Joël Cuissinat: Update package since “debian/eole/2.7.1-18”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 06 May 2019 16:04:59 +0200

eole-ad-dc (2.7.1-18) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [6afe98c] samba_backup script was not executable => move it in /usr/share/eole/sbin
  * [b0ff349] Merge branch 'master' into dist/eole/2.7.1/master
  * [7bb579e] Update samba_backup path for eole-ad-dc-scripts package

  [ EOLE Build Daemon ]
  * [ccd0899] Joël Cuissinat: Update package since “debian/eole/2.7.1-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 06 May 2019 15:15:33 +0200

eole-ad-dc (2.7.1-17) eole-2.7-unstable; urgency=low

  [ Gilles Grandgerard ]
  * [d1f8ed3] Ajouter 'restrict anonymous = 2' dans les smb.conf
  * [fa772ec] Ajout conf.d/*.global dans [global]
  * [764b47d] Sauvegarde la sortie de JobSynchroSysvol dans /var/log/samba/JobSynchroSysvol.log
  * [8027817] ajout logrotate tous les jours pour JobSynchroSysvol.log
  * [c6b8c9f] shellcheck
  * [8e20aa6] Tracer les opérations de synchronisation Sysvol
  * [3a5bb5d] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [5a68e45] Gilles Grandgerard: Update package since “debian/eole/2.7.1-16”

 -- Gilles Grandgerard <gilles.grandgerard@ac-dijon.fr>  Fri, 03 May 2019 16:43:47 +0200

eole-ad-dc (2.7.1-16) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [35e8e72] Generate DNS configuration files at instance and reconfigure
  * [0a063d2] Merge branch 'bugfix/27883-create-bind9-files-at-instance'
  * [eb8dde6] Use bind9 DNS backend by default
  * [10ea8a9] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [98b4b72] Daniel Dehennin: Update package since “debian/eole/2.7.1-15”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 02 May 2019 16:04:57 +0200



## eole-ad-dc 2.7.1-30

=== debian/changelog ===
eole-ad-dc (2.7.1-30) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [f71139c] Add a script allowing to reset acl on homes shares.
  * [96ee155] Merge branch '2.7.1/28395-reset_home_acl'
  * [d83fc1d] Merge branch 'master' into dist/eole/2.7.1/master
  * [bb54e2f] Install script reset_home_acl with eole-ad-dc package.

  [ EOLE Build Daemon ]
  * [d103691] Benjamin Bohard: Update package since “debian/eole/2.7.1-29”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 25 Jun 2019 11:56:14 +0200

eole-ad-dc (2.7.1-29) eole-2.7.1-proposed-updates; urgency=low

  [ Gilles Grandgerard ]
  * [133cd23] typo dans test entreeDnsTrouvee
  * [615418b] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [5308c0c] Gilles Grandgerard: Update package since “debian/eole/2.7.1-28”

 -- Gilles Grandgerard <gilles.grandgerard@ac-dijon.fr>  Fri, 21 Jun 2019 13:57:26 +0200

eole-ad-dc (2.7.1-28) eole-2.7-unstable; urgency=low

  [ Gilles Grandgerard ]
  * [4daf6b3] Ajout d'un contournement au manque d'entrée DNS
  * [7d7ddab] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [443ea0a] Gilles Grandgerard: Update package since “debian/eole/2.7.1-27”

 -- Gilles Grandgerard <gilles.grandgerard@ac-dijon.fr>  Fri, 21 Jun 2019 11:54:42 +0200

eole-ad-dc (2.7.1-27) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [0043b55] nom_domaine_local : update description for AD DC
  * [349f370] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [8ea1743] Joël Cuissinat: Update package since “debian/eole/2.7.1-26”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 14 Jun 2019 14:24:14 +0200

## eole-ad-dc 2.7.1-75

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-ad-dc
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.0
+EOLE_RELEASE=2.7.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-ad-dc (2.7.1-75) eole-2.7.1-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [873d461] samba4 2.7.1 : ne plus sortiir en erreur ...

  [ Joël Cuissinat ]
  * [d68f364] Checkquota test restricted to user and group
  * [faae1ff] Merge branch 'issue/32092-quotacheck' into 2.7.1/master
  * [f76f047] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [b9a8bff] Joël Cuissinat: Update package since “debian/eole/2.7.1-74”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 09 Apr 2021 15:43:49 +0200

eole-ad-dc (2.7.1-74) eole-2.7.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [2115706] CA file is not required. Don't print CA information if file is missing
  * [b0fa6af] Diagnose AD : display Cert or CA status only if samba-tool returns a Cert or CA file
  * [803d58a] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [552d016] Fabrice Barconnière: Update package since “debian/eole/2.7.1-73”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 04 Feb 2021 14:43:34 +0100

eole-ad-dc (2.7.1-73) eole-2.7.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [d969edb] installer le diagnose sur scribe (ref #31583)
  * [e894ca0] mise en commun du diagnose entre seth et scribe (ref #31583)
  * [55bf2af] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [3350dad] Emmanuel Garette: Update package since “debian/eole/2.7.1-72”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 29 Jan 2021 10:38:41 +0100

eole-ad-dc (2.7.1-72) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [825520b] addc_restore : touch $AD_INSTANCE_LOCK_FILE
  * [5f4033b] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [e72b10e] Joël Cuissinat: Update package since “debian/eole/2.7.1-71”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Dec 2020 12:29:48 +0100

eole-ad-dc (2.7.1-71) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [729e45f] eole-ad-dc-scripts provides samba_configure
  * [bcf8a35] eole-ad-dc.mk : copy 25-manage-samba in /usr/share/eole/samba
  * [d8eb3ae] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [5808665] Joël Cuissinat: Update package since “debian/eole/2.7.1-70”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 01 Dec 2020 16:09:59 +0100

eole-ad-dc (2.7.1-70) eole-2.7.1-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [6fde3be] Refactoring 'gpc_update_extension' pour éviter les appels successifs
  * [cffd3f6] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [0ed6458] gilles.grandgerard: Update package since “debian/eole/2.7.1-69”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Tue, 24 Nov 2020 14:24:25 +0100

eole-ad-dc (2.7.1-69) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [76b3e0b] Insert xattr variable in share section of config

  [ gilles.grandgerard ]
  * [cdc4d21] Ajout check_certificat_samba + appel dans reconfigure
  * [2ea559a] Ajout test certificats dans Diagnose

  [ Joël Cuissinat ]
  * [b03da08] Merge branch '2.7.0/master' into 2.7.1/master
  * [4d93af3] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [ea8e7a0] Joël Cuissinat: Update package since “debian/eole/2.7.1-68”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 20 Nov 2020 16:22:04 +0100

eole-ad-dc (2.7.1-68) eole-2.7.1-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [2a70e5c] Suite correction ACL, hashdeep semble renvoyer un résultat différent. Nous imposons le calcul du hash à chaque appel
  * [e58a702] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [c154efb] gilles.grandgerard: Update package since “debian/eole/2.7.1-67”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Thu, 03 Sep 2020 11:50:39 +0200

eole-ad-dc (2.7.1-67) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [e094efb] Use same variable name in template and code.
  * [4d13ecd] Merge branch '2.7.1/30514-variable_name' into 2.7.1/master
  * [408eb68] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [1621805] Benjamin Bohard: Update package since “debian/eole/2.7.1-66”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 20 Aug 2020 15:43:13 +0200

eole-ad-dc (2.7.1-66) eole-2.7.1-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [f669a03] Suppression "invalid users"
  * [7b09d3c] Augmentation range idmap * jursqu'a 999999. Tous les comptes Unix doivent pouvoir être mappé dans ce range. Sinon, Samba crée des erreur de type "create_local_token failed: NT_STATUS_NO_MEMORY"

  [ Joël Cuissinat ]
  * [f89f3e3] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [7f0a4a4] Joël Cuissinat: Update package since “debian/eole/2.7.1-65”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 11 Jun 2020 14:18:49 +0200

eole-ad-dc (2.7.1-65) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [d4138b1] Insert xattr variable in share section of config
  * [39782b4] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [4b8e674] Benjamin Bohard: Update package since “debian/eole/2.7.1-64”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Jun 2020 17:16:52 +0200

eole-ad-dc (2.7.1-64) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [63169c1] suppression des exceptions liées à l'anti-virus temps réel (ref #30181)
  * [41907ce] Merge branch '2.7.0/master' into 2.7.1/master
  * [32cfe23] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [9cf939c] Joël Cuissinat: Update package since “debian/eole/2.7.1-63”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 09 Jun 2020 09:30:24 +0200

eole-ad-dc (2.7.1-63) eole-2.7.1-proposed-updates; urgency=low



=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
          krb5-user,
          ldb-tools,
          libnss-winbind,
+         lmdb-utils,
          python-samba,
          quota,
          rsync,
@@ -42,9 +43,17 @@
 
 Package: eole-ad-dc-scripts
 Architecture: all
-Depends: ${misc:Depends}
+Depends: python-configobj, ${misc:Depends}
 Conflicts: eole-ad-dc
 Description: scripts et librairies pour Samba AD-DC
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.
+
+Package: eole-ad-dc-bareos
+Architecture: all
+Depends: eole-bareos ${misc:Depends}
+Conflicts: eole-ad-dc
+Description: configuration bareos pour Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.

## eole-ad-dc 2.7.2-36

=== debian/changelog ===
eole-ad-dc (2.7.2-36) eole-2.7-unstable; urgency=low

  [ gilles.grandgerard ]
  * [7e780ef] vu que le code gpo a été enlevé, utilise gpo.py de Samba
  * [3162eb8] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [2897290] gilles.grandgerard: Update package since “debian/eole/2.7.2-35”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Tue, 12 May 2020 22:23:36 +0200

eole-ad-dc (2.7.2-35) eole-2.7-unstable; urgency=low

  [ gilles.grandgerard ]
  * [6f92315] Suite suppression des codes importés de samba 4.11, plus besoin du répertoire dans setup.py
  * [b847a98] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [547cc87] gilles.grandgerard: Update package since “debian/eole/2.7.2-34”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Tue, 12 May 2020 17:35:13 +0200

eole-ad-dc (2.7.2-34) eole-2.7-unstable; urgency=low

  [ gilles.grandgerard ]
  * [0bcfede] Revert "Merge branch '2.7.2/samba-4.11' into 2.7.2/master"
  * [bbdbd12] eole.mk: install en python3
  * [8196a87] utilise import relatif .reg_to_xml en python3
  * [d57ba4a] suppression "#coding: utf-8" en python3 suppression OrderedDict en python3 calcul des clés en binaire
  * [448957d] suppression #!/usr/bin/env python + # -*- coding:utf-8 -*-
  * [b7d885d] migration technique encodage/decodage gpt_ini_content
  * [9f3b59b] migration python3: print avec ()
  * [66788c3] migration python3 : - utilise Formater - les fichiers sont en mode binaire
  * [30338eb] migration python3 StringIO et ConfigParser
  * [23ae439] import gplink_options_string inutil
  * [8413667] Suppression du code importé de samba 4-11 (plus util)
  * [88bfa5e] Migration python3 + Ajout arguments "detail"
  * [2806c87] migration python3 : cast nécessaire
  * [fb05ba9] réutilise smv_connection de Samba
  * [b96bbf2] refactoring "gpo_utils.' -> 'samba.netcmd.'
  * [4f274f2] Pour Samba 4.11 sur bionic, il faut avoir le mdp
  * [c96780b] migration pyhton3
  * [3e13f19] Merge branch '2.7.2/master' of https://dev-eole.ac-dijon.fr/git/eole-ad-dc into 2.7.2/master
  * [623ae33] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ Daniel Dehennin ]
  * [677aa55] Package: use the samba package with EOLE version

  [ EOLE Build Daemon ]
  * [2735040] gilles.grandgerard: Update package since “debian/eole/2.7.2-33”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Tue, 12 May 2020 17:24:39 +0200

eole-ad-dc (2.7.2-33) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [7caca01] Adapt dependencies and installation paths
  * [4a492cd] Convert gpo utils to python3
  * [fbabc25] Merge branch '2.7.2/samba-4.11' into 2.7.2/master
  * [874564d] Use samba-4.11-test repository instead of samba-4.9
  * [470379e] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [53f2e75] Benjamin Bohard: Update package since “debian/eole/2.7.2-32”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 11 May 2020 15:55:58 +0200

eole-ad-dc (2.7.2-32) eole-2.7-unstable; urgency=low

  [ gilles.grandgerard ]
  * [b5ddc80] Déactivation du test de version pour samba-4.11
  * [44383d1] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [a948c94] gilles.grandgerard: Update package since “debian/eole/2.7.2-31”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Thu, 07 May 2020 17:50:35 +0200

eole-ad-dc (2.7.2-31) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [546465d] Test existence of file rather than its name.
  * [a807ee5] Merge branch '2.7.1/30057-test_if_keytab_exists' into 2.7.1/master
  * [48d9339] Merge branch '2.7.1/master' into 2.7.2/master
  * [10439bd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [86c76d6] Benjamin Bohard: Update package since “debian/eole/2.7.2-30”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 06 May 2020 09:17:36 +0200

eole-ad-dc (2.7.2-30) eole-2.7.2-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [17b255d] Ajout liaison container/gpo lors d'un Delete/recreate + option pour lier la GPO à un container
  * [2708b2c] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [79b341f] gilles.grandgerard: Update package since “debian/eole/2.7.2-29”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Wed, 06 May 2020 09:07:15 +0200

eole-ad-dc (2.7.2-29) eole-2.7-unstable; urgency=low

  [ gilles.grandgerard ]
  * [9e7cd85] Host ne semble pas fonctionner correctement, j'utilise 'samba-tool dns query'
  * [8ae784b] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [0409c0e] gilles.grandgerard: Update package since “debian/eole/2.7.2-28”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Mon, 27 Apr 2020 17:27:19 +0200

eole-ad-dc (2.7.2-28) eole-2.7-unstable; urgency=low

  [ gilles.grandgerard ]
  * [e2cd31d] typo 'a' dans commande host
  * [0aa5485] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c7b3d62] gilles.grandgerard: Update package since “debian/eole/2.7.2-27”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Mon, 27 Apr 2020 14:59:57 +0200

eole-ad-dc (2.7.2-27) eole-2.7-unstable; urgency=low

  [ gilles.grandgerard ]
  * [2409fde] Ajout samba_migrate_dns à l'instance et au reconfigure
  * [ff4ebf4] Test inversé
  * [9e68402] Merge remote-tracking branch 'origin/2.7.1/master' into 2.7.2/master
  * [d73d8b9] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [e0878ff] gilles.grandgerard: Update package since “debian/eole/2.7.2-26”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Mon, 27 Apr 2020 12:37:44 +0200

eole-ad-dc (2.7.2-26) eole-2.7-unstable; urgency=low

  [ gilles.grandgerard ]
  * [7be2ce3] Ajout documentation + codind utf8
  * [e98ea13] Suppression de import.py
  * [dac142d] Suppression import inutiles + commentaires en trop


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python-all-dev
+Build-Depends: debhelper (>= 9), python3-all-dev
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-ad-dc
@@ -26,7 +26,7 @@
          ldb-tools,
          libnss-winbind,
          lmdb-utils,
-         python-samba,
+         python3-samba,
          quota,
          rsync,
          samba,
@@ -43,7 +43,7 @@
 
 Package: eole-ad-dc-scripts
 Architecture: all
-Depends: python-configobj, ${misc:Depends}
+Depends: python3-configobj, ${misc:Depends}
 Conflicts: eole-ad-dc
 Description: scripts et librairies pour Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
@@ -100,7 +100,7 @@
 Package: gpo-tool
 Section: admin
 Architecture: all
-Depends: python,
+Depends: python3,
          python-gpo-utils,
          ${misc:Depends}
 Description: Python command for GPO edition
@@ -108,8 +108,8 @@
 Package: python-gpo-utils
 Section: admin
 Architecture: all
-Depends: python,
-         python-samba,
+Depends: python3,
+         python3-samba,
          ${misc:Depends}
 Description: Python commands for GPO edition

## eole-ad-dc 2.7.2-49

=== debian/changelog ===
eole-ad-dc (2.7.2-49) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [979d822] fin du portage de bin/addc_restore en python3 (ref #30358)

  [ gilles.grandgerard ]
  * [d89b6c1] Création fonction 'create_gpo_account' + gestion dans reconfigure + mise à jour, une fois par semaine
  * [457d94b] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [208812b] gilles.grandgerard: Update package since “debian/eole/2.7.2-48”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Mon, 22 Jun 2020 18:16:45 +0200

eole-ad-dc (2.7.2-48) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [9fc4083] python3-samba can't be installed from ISO

  [ EOLE Build Daemon ]
  * [e1c03a2] Daniel Dehennin: Update package since “debian/eole/2.7.2-47”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 12 Jun 2020 10:52:33 +0200

eole-ad-dc (2.7.2-47) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a84515e] Insert xattr variable in share section of config
  * [94c509e] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [aa77d87] Benjamin Bohard: Update package since “debian/eole/2.7.2-46”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Jun 2020 17:21:15 +0200

eole-ad-dc (2.7.2-46) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [63169c1] suppression des exceptions liées à l'anti-virus temps réel (ref #30181)
  * [41907ce] Merge branch '2.7.0/master' into 2.7.1/master
  * [c865ed1] Merge branch '2.7.1/master' into 2.7.2/master
  * [41bae2a] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [b709897] Joël Cuissinat: Update package since “debian/eole/2.7.2-45”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 09 Jun 2020 09:39:01 +0200

eole-ad-dc (2.7.2-45) eole-2.7.2-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [f50ce87] Check Acl fausse hashdeep. Je le fais avant
  * [b1544f0] Création group "GpoAdmins" + utilsation de NEWPASSWORD au lieu de PWD !
  * [d4c78d2] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [36a835a] gilles.grandgerard: Update package since “debian/eole/2.7.2-44”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Fri, 05 Jun 2020 14:01:05 +0200

eole-ad-dc (2.7.2-44) eole-2.7.2-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [7b7bcfb] Ajout 'update_system_account' + 'update_system_accounts' + 'gpo-<host>'
  * [097bb89] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [5a611dd] gilles.grandgerard: Update package since “debian/eole/2.7.2-43”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Thu, 04 Jun 2020 18:22:44 +0200

eole-ad-dc (2.7.2-43) eole-2.7.2-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [41c6dc7] Backport en 2.7.1 résolution pb ACL sur la GPO eole_script, cassant le fonctionnement de SYSVOL

  [ Daniel Dehennin ]
  * [6c04ddb] Merge branch '2.7.1/master' into 2.7.2/master
  * [0fa8599] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [e376840] Daniel Dehennin: Update package since “debian/eole/2.7.2-42”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 03 Jun 2020 17:10:11 +0200

eole-ad-dc (2.7.2-42) eole-2.7.2-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [cfbf233] Backport 2.7.2 en 2.7.1
  * [5a37261] suite backport 2.7.2, manque package dans setup.py
  * [aab106c] restore policy.py car référencé par importation.py dans gpo_script !

  [ Benjamin Bohard ]
  * [31b917a] Allow shares without acl_xattr
  * [e454d6a] Merge branch '2.7.1/30090-xattr' into 2.7.1/master
  * [0087e66] Allow to disable acl_xattr vfs_object
  * [c589fc1] Merge branch '2.7.0/30090-xattr' into 2.7.0/master

  [ Emmanuel Garette ]
  * [c100bda] sauvegarder /home si nécessaire (ref #30181)
  * [321bea9] sauvegarder les partages additionnels (ref #30181)
  * [3e5d98f] Merge branch '2.7.0/master' into 2.7.1/master
  * [8b4b148] Merge branch '2.7.1/master' into 2.7.2/master
  * [0d15a10] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [b07aab5] Emmanuel Garette: Update package since “debian/eole/2.7.2-41”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 29 May 2020 11:57:21 +0200

eole-ad-dc (2.7.2-41) eole-2.7.2-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [cfee0cd] trop de debug
  * [d5c518a] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [d29eebd] gilles.grandgerard: Update package since “debian/eole/2.7.2-40”

 -- gilles.grandgerard <gilles@gilles-G10AJ>  Wed, 20 May 2020 15:20:13 +0200

eole-ad-dc (2.7.2-40) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [6b69f58] validSambaPassword : portage python3 pour EOLE >= 2.7.2
  * [30ef6b2] scripts de restauration "addc" : portage python3 pour EOLE >= 2.7.2
  * [9702584] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [5ac6448] Joël Cuissinat: Update package since “debian/eole/2.7.2-39”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 20 May 2020 12:24:29 +0200

eole-ad-dc (2.7.2-39) eole-2.7.2-proposed-updates; urgency=low

  [ gilles.grandgerard ]
  * [eae0980] Ajout debug3
  * [92b1d18] Récupération ACL GPO dans self.sddl Création check_gpos_acl Correction Acl si erreur Ajout set_acl dans savecontent, et create_directory_hier
  * [9d58845] La création des scripts dans NETLOGON doivent avoir des ACL
  * [169601e] La suppression d'un GPO doit être plus robuste
  * [091daa5] Merge branch '2.7.2/master' of https://dev-eole.ac-dijon.fr/git/eole-ad-dc into 2.7.2/master
  * [cd5a620] mise en commentaire de debug(s) car pas util en prod
  * [8b867eb] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [22be909] gilles.grandgerard: Update package since “debian/eole/2.7.2-38”



=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
          ldb-tools,
          libnss-winbind,
          lmdb-utils,
-         python3-samba,
          quota,
          rsync,
          samba,
@@ -109,7 +108,6 @@
 Section: admin
 Architecture: all
 Depends: python3,
-         python3-samba,
          ${misc:Depends}
 Description: Python commands for GPO edition

## eole-ad-dc 2.7.2-79

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-ad-dc
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+EOLE_RELEASE=2.7.2
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-ad-dc (2.7.2-79) eole-2.7-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [c741f04] add service to delete expired ad users
  * [91f19c6] Merge branch 'savoie' into dist/eole/2.7.2/dev

  [ EOLE Build Daemon ]
  * [e60a64b] Matthieu Lamalle: Update package since “debian/eole/2.7.2-78”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 03 Sep 2021 10:00:04 +0200

eole-ad-dc (2.7.2-78) eole-2.7.2-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [87a2ce9] Toutes les commandes gpo-tool doivent selectionner le DC, car les commandes imbriquées risquent de choisir un autre DC.
  * [a24ceaa] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [1a3277a] Gilles Grandgérard: Update package since “debian/eole/2.7.2-77”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Mon, 19 Jul 2021 11:15:51 +0200

eole-ad-dc (2.7.2-77) eole-2.7.2-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [4b28996] Les commandes d'import_gpo doivent selectionner le DC, car les commandes imbriquées risquent de choisir un autre DC.
  * [d03c956] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [f82c5df] Gilles Grandgérard: Update package since “debian/eole/2.7.2-76”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Mon, 19 Jul 2021 10:57:11 +0200

eole-ad-dc (2.7.2-76) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [9a7e01a] correction du chemin vers les fichiers de configuration samba (ref #32947)
  * [bffc3ae] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [ea6e8bd] Emmanuel Garette: Update package since “debian/eole/2.7.2-75”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 16 Jul 2021 14:34:02 +0200

eole-ad-dc (2.7.2-75) eole-2.7.2-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [cf8ebf0] Correction messages et exit dans samba_delete_gpo
  * [0a14365] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [165c657] Gilles Grandgérard: Update package since “debian/eole/2.7.2-74”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Thu, 15 Jul 2021 10:53:25 +0200

eole-ad-dc (2.7.2-74) eole-2.7.2-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [9b5256a] Ajout helper
  * [e23c103] backport correction 2.8.1 en 2.7.2 (check attr, 1 seul connection fix netlogon)
  * [f201b35] Suppression vieux code inutile
  * [b36736f] Ajout des fonction samba_import_gpo, samba_delete_gpo, samba_export_gpo
  * [1f60a6c] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [0098434] Gilles Grandgérard: Update package since “debian/eole/2.7.2-73”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Tue, 13 Jul 2021 16:21:33 +0200

eole-ad-dc (2.7.2-73) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d68f364] Checkquota test restricted to user and group
  * [d33de76] Merge branch 'issue/32092-quotacheck' into 2.7.2/master
  * [5a7dd1d] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [2ce3330] Joël Cuissinat: Update package since “debian/eole/2.7.2-72”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 09 Apr 2021 15:46:29 +0200

eole-ad-dc (2.7.2-72) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [b01421c] ajout de msDS-SDReferenceDomain dans l'annuaire (ref #32064)
  * [b795d11] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [cbc2073] Emmanuel Garette: Update package since “debian/eole/2.7.2-71”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 09 Apr 2021 10:38:54 +0200

eole-ad-dc (2.7.2-71) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [761b40f] ajout de msDS-SDReferenceDomain dans l'annuaire (ref #32064)
  * [27416f6] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [e068b7f] Emmanuel Garette: Update package since “debian/eole/2.7.2-70”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 09 Apr 2021 10:22:02 +0200

eole-ad-dc (2.7.2-70) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3fd8344] eole-ad-dc-scripts: add psmisc dependency

  [ EOLE Build Daemon ]
  * [7140d57] Joël Cuissinat: Update package since “debian/eole/2.7.2-69”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 08 Apr 2021 14:11:43 +0200

eole-ad-dc (2.7.2-69) eole-2.7.2-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [bfa9c6b] Correction WaitNetwork : est une GPO machine !
  * [39fad8e] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c7b33fd] Gilles Grandgérard: Update package since “debian/eole/2.7.2-68”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Wed, 07 Apr 2021 14:40:17 +0200

eole-ad-dc (2.7.2-68) eole-2.7.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [2115706] CA file is not required. Don't print CA information if file is missing
  * [b0fa6af] Diagnose AD : display Cert or CA status only if samba-tool returns a Cert or CA file
  * [5e7ad62] Merge branch 'issues/31619' into 2.7.2/master
  * [6d40019] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [d45b5ae] Fabrice Barconnière: Update package since “debian/eole/2.7.2-67”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 04 Feb 2021 14:46:27 +0100

eole-ad-dc (2.7.2-67) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [a1b935d] installer le diagnose sur scribe (ref #31583)
  * [e894ca0] mise en commun du diagnose entre seth et scribe (ref #31583)
  * [65ebe89] Merge branch '2.7.1/master' into 2.7.2/master
  * [4b9ecdd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [a2d0d5d] Emmanuel Garette: Update package since “debian/eole/2.7.2-66”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 29 Jan 2021 11:40:39 +0100



## eole-ad-dc 2.7.2-86

=== debian/changelog ===
eole-ad-dc (2.7.2-86) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [40a4bf3] fix(config) : update zone transfer clients options for Samba 4.15
  * [7ba22f3] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [2d42320] Joël Cuissinat: Update package since “debian/eole/2.7.2-85”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 14 Mar 2023 09:50:56 +0100

eole-ad-dc (2.7.2-85) eole-2.7.2-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [debb26b] plus d'option '-k' dans samba-tool
  * [ddfb6f3] suppression kdestroy inutiles

  [ Benjamin Bohard ]
  * [f1c64c7] Suppression de l’option obsolète -k pour samba-tool.

  [ Joël Cuissinat ]
  * [508b69a] fix(config) : avoid named error at first instance (backport)
  * [ecc0570] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [7b107b0] Joël Cuissinat: Update package since “debian/eole/2.7.2-84”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 13 Mar 2023 17:05:18 +0100

eole-ad-dc (2.7.2-84) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [27a6522] Rétablir le seuil d’âge des archives à supprimer.
  * [cba1de8] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [ab4c9ca] Benjamin Bohard: Update package since “debian/eole/2.7.2-83”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 27 Feb 2023 11:41:45 +0100

eole-ad-dc (2.7.2-83) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [589f961] Il peut y avoir plusieurs fichiers à supprimer.
  * [789b7ac] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [27d1373] Benjamin Bohard: Update package since “debian/eole/2.7.2-82”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 27 Feb 2023 11:26:27 +0100

eole-ad-dc (2.7.2-82) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [6a94ece] fix migration samba 4.13 (suite)

  [ Gilles Grandgérard ]
  * [90103eb] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [0546c99] Gilles Grandgérard: Update package since “debian/eole/2.7.2-81”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Tue, 16 Nov 2021 11:35:25 +0100

eole-ad-dc (2.7.2-81) eole-2.7.2-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [f25c1d2] Suite migration samba 4.13, session_info est obligatoire
  * [344b5fd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [8dc1b8d] Gilles Grandgérard: Update package since “debian/eole/2.7.2-80”

 -- Gilles Grandgérard <gilles.grandgerard@ac-dijon.fr>  Mon, 15 Nov 2021 16:29:26 +0100

eole-ad-dc (2.7.2-80) eole-2.7.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [43bf7cf] Correct typo to force build
  * [bee9f8c] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [8ef1f97] Fabrice Barconnière: Update package since “debian/eole/2.7.2-79”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 19 Oct 2021 14:20:30 +0200

eole-ad-dc (2.7.2-79) eole-2.7.2-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [c44fb6d] Ajout la possiblité d'importer une GPO depuis un répertoire
  * [a84593f] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [33c5a32] Joël Cuissinat: Update package since “debian/eole/2.7.2-78”

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 08 Oct 2021 17:02:51 +0200

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,10 @@
 
 Package: eole-ad-dc-scripts
 Architecture: all
-Depends: python3-configobj, ${misc:Depends}
+Depends: python3-configobj,
+         pwgen,
+         psmisc,
+         ${misc:Depends}
 Conflicts: eole-ad-dc
 Description: scripts et librairies pour Samba AD-DC
  Pour toute information complémentaire, veuillez vous rendre sur le
